For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of all users
      • POSTCreate a user
      • GETGet a user by id
      • PATCHPatch a user password or username
      • GETGet all account memberships for a user
      • POSTAdd an account membership for a user
      • PATCHPatch an account membership
      • GETGet all the team memberships of a user
      • POSTGive a user membership to a team, granting access to all the accounts the team has access to
      • GETSearch for a user, using provided filters
      • POSTRevoke a user invite by username
      • POSTInvite a user
  • Transaction API
  • Event API
LoginSandbox
Identity APIUsers

Revoke a user invite by username

POST
/v:version/users/revoke-invite
POST
/v:version/users/revoke-invite
$curl -X POST https://test.api.solvimon.com/v1/users/revoke-invite \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "username": "user@solvimon.com"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "entity_id": "string",
5 "created_at": "string",
6 "status": "INVITED",
7 "username": "string",
8 "password": "string",
9 "invite_expired": true,
10 "active": true,
11 "account_memberships": [
12 {
13 "object_type": "string",
14 "id": "string",
15 "account_id": "string",
16 "account": {
17 "id": "string",
18 "reference": "string",
19 "account_type_code": "string",
20 "environment": "string",
21 "account_group_id": "string",
22 "parent_id": "string",
23 "platform_id": "string"
24 },
25 "type": "ADMIN",
26 "role_ids": [
27 "string"
28 ],
29 "account_reference": "string",
30 "environment": "string",
31 "roles": [
32 {
33 "object_type": "string",
34 "id": "string",
35 "name": "string",
36 "description": "string",
37 "entity_id": "string",
38 "child_role_ids": [
39 "string"
40 ],
41 "child_roles": [
42 {}
43 ]
44 }
45 ]
46 }
47 ],
48 "team_memberships": [
49 {
50 "team_id": "string",
51 "start_at": "2024-01-15T09:30:00Z",
52 "end_at": "2024-01-15T09:30:00Z",
53 "account_memberships": [
54 {
55 "object_type": "string",
56 "id": "string",
57 "account_id": "string",
58 "account": {
59 "id": "string",
60 "reference": "string",
61 "account_type_code": "string",
62 "environment": "string",
63 "account_group_id": "string",
64 "parent_id": "string",
65 "platform_id": "string"
66 },
67 "type": "ADMIN",
68 "role_ids": [
69 "string"
70 ],
71 "account_reference": "string",
72 "environment": "string",
73 "roles": [
74 {
75 "object_type": "string",
76 "id": "string",
77 "name": "string",
78 "description": "string",
79 "entity_id": "string",
80 "child_role_ids": [
81 "string"
82 ],
83 "child_roles": [
84 {}
85 ]
86 }
87 ]
88 }
89 ]
90 }
91 ]
92}
Requires the USER.MORTAL.UPDATE permission.
Was this page helpful?
Previous

Invite a user

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
statusenum or nullOptional
Indicates whether the user is active
Allowed values:
usernamestringOptionalformat: "(\S*@\S*\..*)"0-256 characters
The email of the user
passwordstring or nullOptional
The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter
activeboolean or nullOptionalDeprecated
Indicates whether the user is active

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
The id of the user
entity_idstring or nullRead-only
The entity id of the entity that this user belongs to
created_atstring or nullRead-only
The date when this user was created
statusenum or null
Indicates whether the user is active
Allowed values:
usernamestringformat: "(\S*@\S*\..*)"0-256 characters
The email of the user
passwordstring or null
The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter
invite_expiredboolean or nullRead-only
Indicates whether the invite sent to the user is expired
activeboolean or nullDeprecated
Indicates whether the user is active
account_membershipslist of objects or nullRead-onlyDeprecated
The account memberships that this user has
team_membershipslist of objects or nullRead-onlyDeprecated
The team memberships that this user has

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error